"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderCreditsKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
function renderCreditsKey(rcMint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from("rc", "utf-8"), rcMint.toBuffer()], programId);
}
exports.renderCreditsKey = renderCreditsKey;
//# sourceMappingURL=pdas.js.map