import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID } from "./constants";
import { renderCreditsResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export async function init(provider, programId = PROGRAM_ID, idl) {
    if (!idl) {
        idl = await Program.fetchIdl(programId, provider);
    }
    const renderCredits = new Program(idl, programId, provider, undefined, () => renderCreditsResolvers);
    return renderCredits;
}
//# sourceMappingURL=index.js.map